Package org.bukkit

# Enum Class SandstoneType

java.lang.Object
java.lang.Enum<SandstoneType>
org.bukkit.SandstoneType

All Implemented Interfaces:
  `Serializable`, `Comparable<SandstoneType>`, `Constable`

public enum SandstoneType extends Enum<SandstoneType>
Represents the three different types of Sandstone

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRACKED`
`GLYPHED`
`SMOOTH`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable SandstoneType`
`getByData(byte data)`
Deprecated.
Magic value
`byte`
`getData()`
Deprecated.
Magic value
`static SandstoneType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SandstoneType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CRACKED

public static final SandstoneType CRACKED

### GLYPHED

public static final SandstoneType GLYPHED

### SMOOTH

public static final SandstoneType SMOOTH

## Method Details

### values

public static SandstoneType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SandstoneType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this type of sandstone

Returns:
  A byte containing the data value of this sandstone type

### getByData

@Deprecated @Nullable public static @Nullable SandstoneType getByData(byte data)
Deprecated.
Magic value
Gets the type of sandstone with the given data value

Parameters:
  `data` - Data value to fetch
Returns:
  The `SandstoneType` representing the given value, or null if it doesn't exist